/***************************************************************************

  M.A.M.E.32  -  Multiple Arcade Machine Emulator for Win32
  Win32 Portions Copyright (C) 1997-2001 Michael Soderstrom and Chris Kirmse

  This file is part of MAME32, and may only be used, modified and
  distributed under the terms of the MAME license, in "readme.txt".
  By continuing to use, modify or distribute this file you indicate
  that you have read the license and understand and accept it fully.

 ***************************************************************************/

#ifndef MAME32AVI_H
#define MAME32AVI_H

#if defined(MAME_AVI)

//#define AVI_AUDIO

BOOL    AviStartCapture(HWND hWnd, char* filename, struct MAME_AVI_STATUS *AviStatus);

void    AviEndCapture(void);

void    AviAddBitmap(struct mame_bitmap* tBitmap, PALETTEENTRY* palette_entries);

void    SetAviFPS(int fps);
BOOL    GetAviCapture(void);


//#ifdef AVI_AUDIO
int AVI_AudioStream_Start(void);
void AVI_AudioStream_WriteWaveData(char* lpwav, int len);
//#endif

#endif /* MAME_AVI */

#endif /* MAME32AVI_H */
